libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::EntityField Class Reference
[Lesser used Interfaces]

Base class to represent a generic field (for tables' fields, etc). More...

Inheritance diagram for Gnome::Gda::EntityField:

[legend]
List of all members.

## Public Member Functions

virtual Glib::ustring | get_alias_vfunc ()
Glib::ustring | get_description () const
| Get the description of the object implementing the Gda::EntityField interface.
Glib::RefPtr<const DictType> | get_dict_type () const
| Get the data type of the object implementing the Gda::EntityField interface.
Glib::RefPtr<DictType> | get_dict_type ()
| Get the data type of the object implementing the Gda::EntityField interface.
virtual Glib::RefPtr<DictType> | get_dict_type_vfunc ()
Glib::RefPtr<const Entity> | get_entity () const
| Get a reference to the object implementing the Gda::Entity interface to which the object implementing the Gda::EntityField is attached to.
Glib::RefPtr<Entity> | get_entity ()
| Get a reference to the object implementing the Gda::Entity interface to which the object implementing the Gda::EntityField is attached to.
virtual Glib::RefPtr<Entity> | get_entity_vfunc ()
GType | get_g_type () const
| Get the gda type of the object implementing the Gda::EntityField interface.
virtual GType | get_g_type_vfunc ()
Glib::ustring | get_name () const
| Get the name of the object implementing the Gda::EntityField interface.
const GdaEntityField* | gobj () const
| Provides access to the underlying C GObject.
GdaEntityField* | gobj ()
| Provides access to the underlying C GObject.
void | set_dict_type (const Glib::RefPtr<DictType>& type)
virtual void | set_dict_type_vfunc (const Glib::RefPtr<DictType>& type)
virtual | ~EntityField ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::EntityField> | wrap (GdaEntityField* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Base class to represent a generic field (for tables' fields, etc).

## Constructor & Destructor Documentation

virtual Gnome::Gda::EntityField::~EntityField | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gnome::Gda::EntityField::add_interface | ( | GType | gtype_implementer | ) | `[static]`

virtual Glib::ustring Gnome::Gda::EntityField::get_alias_vfunc | ( |  | ) | `[virtual]`

Glib::ustring Gnome::Gda::EntityField::get_description | ( |  | ) | const

Get the description of the object implementing the Gda::EntityField interface.

Returns:
  The description.

Glib::RefPtr<const DictType> Gnome::Gda::EntityField::get_dict_type | ( |  | ) | const

Get the data type of the object implementing the Gda::EntityField interface.

Returns:
  The corresponding Gda::DictType.

Glib::RefPtr<DictType> Gnome::Gda::EntityField::get_dict_type | ( |  | ) |

Get the data type of the object implementing the Gda::EntityField interface.

Returns:
  The corresponding Gda::DictType.

virtual Glib::RefPtr<DictType> Gnome::Gda::EntityField::get_dict_type_vfunc | ( |  | ) | `[virtual]`

Glib::RefPtr<const Entity> Gnome::Gda::EntityField::get_entity | ( |  | ) | const

Get a reference to the object implementing the Gda::Entity interface to which the object implementing the Gda::EntityField is attached to.

Returns:
  The object implementing the Gda::Entity interface.

Glib::RefPtr<Entity> Gnome::Gda::EntityField::get_entity | ( |  | ) |

Get a reference to the object implementing the Gda::Entity interface to which the object implementing the Gda::EntityField is attached to.

Returns:
  The object implementing the Gda::Entity interface.

virtual Glib::RefPtr<Entity> Gnome::Gda::EntityField::get_entity_vfunc | ( |  | ) | `[virtual]`

GType Gnome::Gda::EntityField::get_g_type | ( |  | ) | const

Get the gda type of the object implementing the Gda::EntityField interface.

Returns:
  The corresponding Type or TYPE_INVALID if the gda type is unknown.

virtual GType Gnome::Gda::EntityField::get_g_type_vfunc | ( |  | ) | `[virtual]`

Glib::ustring Gnome::Gda::EntityField::get_name | ( |  | ) | const

Get the name of the object implementing the Gda::EntityField interface.

Returns:
  The name.

const GdaEntityField* Gnome::Gda::EntityField::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, and Gnome::Gda::QueryFieldValue.

GdaEntityField* Gnome::Gda::EntityField::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, and Gnome::Gda::QueryFieldValue.

void Gnome::Gda::EntityField::set_dict_type | ( | const Glib::RefPtr<DictType>& | type | ) |

virtual void Gnome::Gda::EntityField::set_dict_type_vfunc | ( | const Glib::RefPtr<DictType>& | type | ) | `[virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::EntityField> wrap | ( | GdaEntityField * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- entityfield.h